Browse the docs
Endpoints
Get endpoint by ID
Fetch one endpoint (secret redacted).
GET
/api/v1/endpoints/%7Bid%7Dcurl -X GET "https://inboundr.net/api/v1/endpoints/{id}" \
-H "Authorization: Bearer $INBOUNDR_API_KEY"Returns a single endpoint. The signing secret is never returned after creation.
idstringpathrequired
The endpoint id (ep_…).
Example response
{
"id": "ep_123",
"name": "Production handler",
"url": "https://api.example.com/hooks/inbound",
"headers": { "X-Team": "growth" },
"timeoutSeconds": 10,
"maxAttempts": 5,
"active": true,
"createdAt": "2026-07-20T10:00:00.000Z"
}Returns
404 if the endpoint doesn't exist or isn't yours.